Subject: bug#48994: 28.0.50; [PATCH] 28.0.50; Native compilation unnecessarily recompiles .eln (macOS)

From: Matthew Bauer <[email-masked]>
Date: Tue, 22 Jun 2021 11:51:57 -0500

> !?

> As far as I'm aware nextstep/Makefile shouldn't need to know about the
> prefix because it's not relevant to that type of install...

> What configure flags are you using? (They should be listed at the top
> of configure.log.)

There's probably a better to way to fix it - my familiarity with autoconf
is not great.

But in nextstep/Makefile we get this line:

ns_applibexecdir = ${exec_prefix}/libexec

and exec_prefix undefined without defining prefix & exec_prefix.

On Tue, Jun 22, 2021 at 3:32 AM Alan Third <[email-masked]> wrote:

> On Mon, Jun 21, 2021 at 10:55:40PM -0500, Matthew Bauer wrote:
> > > Matthew, could you please try the attached patch and see if it solves
> > > your problems (or makes them worse!)?
> >
> > That fixes the problem! I had to make a small change for it to work
> though
> > (needed to add prefix & exec_prefix to nextstep/Makefile.in).
>
> !?
>
> As far as I'm aware nextstep/Makefile shouldn't need to know about the
> prefix because it's not relevant to that type of install...
>
> What configure flags are you using? (They should be listed at the top
> of configure.log.)
> --
> Alan Third
>